Subject: bug#27986: 26.0.50; 'rename-file' can rename files without confirmation

From: Michael Albinus <[email-masked]>
Date: Tue, 12 Sep 2017 11:25:51 +0200

Paul Eggert <[email-masked]> writes:

Hi Paul,

> I'll CC: this to Michael, as the last patch is to the Tramp tests, and
> he may want Tramp to become consistent with the new behavior for
> rename-file etc.

I've checked Tramp: it works already proper, thanks to Kai. At least for
the methods handled in tramp-sh.el. Next days, I'll check also
tramp-adb.el, tramp-gvfs.el, and tramp-smb.el.

I've added some additional tests to tramp-tests.el, in order to provoke
an error when a directory as target does not look like a directory name.

Best regards, Michael.